// AxisMotionDlg.h : header file
//

#pragma once
#include "afxwin.h"

#include "i8196F.h"

// CAxisMotionDlg dialog
class CAxisMotionDlg : public CDialog
{
// Construction
public:
	CAxisMotionDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_AXISMOTION_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_cmbSlotNo;

	HBITMAP m_hBmpErr;
	HBITMAP m_hBmpOff;

	void InitialI8196F(U8 SlotNo);
	void OnbtnReset(UINT nID);
	void OnbtnMove(UINT nID);
	void OnbtnStop(UINT nID);
	void OnbtnSvon(UINT nID);
	void OnbtnRALM(UINT nID);

	void ResetCnt(U8 AxisNo);
	void StopAxis(U8 AxisNo);

	afx_msg void OnCbnSelchangecmbslotno();

	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedbtnresetall();
	CButton m_chkSCurve;
	afx_msg void OnBnClickedbtnstopall();
	CStatic m_stcFunErr;
	afx_msg void OnStnClickedstcfunerr();
};
